summaryrefslogtreecommitdiff
path: root/ctdb/tests/INTEGRATION/failover/pubips.030.disable_enable.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ctdb/tests/INTEGRATION/failover/pubips.030.disable_enable.sh')
-rwxr-xr-xctdb/tests/INTEGRATION/failover/pubips.030.disable_enable.sh15
1 files changed, 11 insertions, 4 deletions
diff --git a/ctdb/tests/INTEGRATION/failover/pubips.030.disable_enable.sh b/ctdb/tests/INTEGRATION/failover/pubips.030.disable_enable.sh
index 9a1616ceefc..c0bb62d1991 100755
--- a/ctdb/tests/INTEGRATION/failover/pubips.030.disable_enable.sh
+++ b/ctdb/tests/INTEGRATION/failover/pubips.030.disable_enable.sh
@@ -1,15 +1,22 @@
-#!/usr/bin/env bash
+#!/bin/bash
-# Verify the operation of "ctdb disable" and "ctdb enable"
+test_info()
+{
+ cat <<EOF
+Verify the operation of "ctdb disable" and "ctdb enable"
+EOF
+}
. "${TEST_SCRIPTS_DIR}/integration.bash"
-set -e
-
ctdb_test_init
########################################
+set -e
+
+cluster_is_healthy
+
select_test_node_and_ips
echo "Disabling node $test_node"